> For the complete documentation index, see [llms.txt](https://docs.spectralink.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.spectralink.net/amie-essentials/maintenance/upgrading.md).

# Upgrading SAM

## Upgrade requirements

{% hint style="info" %}
**You must be running SAM 1.14 to upgrade to SAM 1.15**

If you are running a version of SAM prior to 1.14, refer to [Upgrading to SAM 1.14](#upgrading-to-sam-1-14) for information on upgrading to SAM 1.14.
{% endhint %}

## Upgrade path for SAM 1.15

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-008261607e98270150421cebadab34423fe3e9b7%2Fimage45.png?alt=media)

*(For example: to upgrade to SAM 1.15 from SAM 1.7, first upgrade to 1.9.0, then to 1.9.2, then to 1.10, then to 1.14, and finally to 1.15.)*

### Upgrading to SAM 1.15 requires deploying a new VM

As part of security updates delivered in the application, SAM 1.15 runs on Ubuntu 26.04. To upgrade to SAM 1.15 you must deploy the new SAM image as a new VM, then import your SAM 1.14 configuration data into this system.

### Procedure for upgrading to SAM 1.15

{% hint style="info" %}
**Use the same FQDN and IP address used in SAM 1.14**

When upgrading to SAM 1.15, use the same FQDN and IP address configured in SAM 1.14.

If for some reason you need to change the IP address during the migration, contact Spectralink Support for assistance, because your prior certificates will not work in the new system. (SAM-1419)
{% endhint %}

The following steps assume some familiarity with SAM provisioning. If you’re not familiar, most of these steps are explained in greater detail in *Chapter 1: Install SAM Server*, Steps 1-3, although some procedures differ.

1. Navigate to the *About* page of your existing SAM 1.14 instance and click **Backup Now** (near the bottom of the page). Take note of your account number.
2. After waiting approximately 60 seconds and refreshing the page, you should see a new backup file appear. Click the Download icon to save it to your hard drive. Shut down the VM using the VMware console or CLI:

   ```bash
   sudo shutdown -h now
   ```
3. If you haven’t already done so, download the SAM 1.15 software image from the Spectralink support site. Unzip the image zip which contains OVF and VMDK files.
4. Deploy the new SAM OVF in the VMware console. In the console navigate to the new VM and authenticate using the default credentials of **sam** for username and **sam** for password. Navigate to the bin directory:

   ```bash
   cd bin
   ```
5. Run the network configuration script:

   ```bash
   sudo python network_init.py
   ```

   to set the static IP address, netmask, DNS, and Gateway. Use the same values that were used in your SAM 1.14 server.
6. Run the application configuration script:

   ```bash
   sudo python application_init.py
   ```

   to start the SAM application running. Set up your Active Directory as appropriate (see NOTE below).

{% hint style="info" %}
**Your Active Directory must use the same configuration used in your previous SAM instance**

In your new SAM instance, use the same type of Active Directory you used previously: whether you used non-encrypted AD, encrypted AD, non-encrypted multi-domain, or encrypted multi-domain, the new instance needs to be configured identically.
{% endhint %}

7. Open your web browser to the SAM login URI: **https\://\[IP address or server name]/sam/**.
8. Proceed through the dialogs to enter your account number and create an admin account. Navigate to the *About* page. Click **Browse File**, then select the backup file from your hard drive that you saved in Step 2. Wait for that file to upload.
9. If you plan to use SSH for configuration access, enable SSH using the steps [here](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh).
10. In the console (or via SSH [if enabled](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh)), run the import script:

    ```bash
    ./import.sh
    ```

    Remember that your SAM web browser login authentication credentials will be the same as the SAM 1.14 system’s credentials after import.
11. Refresh your SAM browser tab and then log back into the SAM web UI after the system restarts. (Allow 60 seconds for the system to restart before logging back in.)
12. Navigate to the *About* page again. Click **Browse File** and select the SAM 1.15 *artifacts.zip* file you previously downloaded from the Spectralink Support site.
13. After upload is complete, go back to the console (or via SSH [if enabled](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh)) and run the upgrade command:

    ```bash
    ./upgrade.sh
    ```
14. After another restart your upgrade to SAM 1.15 will be complete. Your phones will communicate with the new instance without having to change certificates.

## Upgrading to SAM 1.14

*This section is for administrators currently running SAM 1.10 through 1.13.*

{% hint style="info" %}
**Are you running a version of SAM earlier than 1.10?**

If you’re running a version of SAM earlier than 1.10, you must first upgrade to 1.10 before you can upgrade to 1.14. Upgrading to SAM 1.10 is different from previous SAM releases; Refer to the [Upgrading to SAM 1.10](#upgrading-to-sam-1-10) below for upgrade instructions.
{% endhint %}

Before starting the upgrade process, obtain the SAM 1.14 image and artifact zip files from the Spectralink Support website.

1.

{% hint style="success" %}
**Back up and take a snapshot of your current configuration before updating SAM!**

Always back up and take a snapshot of the current SAM installation prior to upgrading the SAM software. See Backup Files and Backup Now.
{% endhint %}

2.

## Upgrade paths for SAM 1.14

![](https://3032864282-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FxfLF6IpyutR429bMnvvf%2Fuploads%2Fgit-blob-03b5fa45b7a5b431f458b26120695d5f23582610%2Fimage46.png?alt=media)

*(For example: to upgrade to SAM 1.14 from SAM 1.7, first upgrade to 1.9.0, then to 1.9.2, then to 1.10, and finally to 1.14.)*

{% hint style="info" %}
**SAM server services may be disabled during upgrade**

During a SAM server upgrade, server services may be disabled, such as the Web UI and device communication interface. This should not affect the operational state of deployed Versity devices, and services will resume after a successful upgrade.
{% endhint %}

If you are running SAM 1.10 through 1.13, follow these steps:

1. On the Device List page, select all devices by clicking the check box in the title header. Select **Trigger Heartbeat** from the action menu to ensure all active phones have received their current configuration.
2. Navigate to the About page. Click **Browse File**. Navigate to the .zip file location and select the *artifacts.zip* file that you obtained from Spectralink. Monitor the progress bar to verify upload completion.
3. From the console or using SSH to access the VM host, log in (sam/sam). Navigate to the “bin” directory (`cd bin`). Run the upgrade script from the sam account (`./upgrade.sh`).
4. Monitor the output. Near the end you should see messages saying Tomcat is being restarted.
5. If you have a browser tab open to SAM, click **Logout** at the bottom left, close the tab, and open a new one. This should clear the browser cache. You can also hold the control key and click the browser refresh button to ensure the cache is cleared.

## Upgrading to SAM 1.10

*This section is for administrators currently running a SAM version earlier than SAM 1.10.*

If you’re running a version of SAM earlier than 1.10 you must first upgrade to 1.10 before you can upgrade to 1.14. Follow the steps below.

### Upgrading to SAM 1.10 is different from previous SAM releases

These instructions assume you are running SAM 1.9.2. If you’re running a previous version of SAM upgrade to 1.9.2 before proceeding. (See [Upgrade paths for SAM 1.14](#upgrade-paths-for-sam-1-14) for more information.)

As part of security updates delivered in the application, SAM 1.10 uses a new operating system. To upgrade to SAM 1.10 you must deploy the SAM 1.10 image as a new VM, then import your SAM 1.9.2 backup into this system.

These steps assume some familiarity with SAM provisioning. If you’re not familiar, most of these steps are explained in greater detail in [Chapter 1: Install SAM Server](/amie-essentials/planning-and-installation/install-sam-server.md#install-the-sam-server), Steps 1-3, although some procedures differ.

{% hint style="info" %}
**When upgrading to SAM 1.10, use the same FQDN and IP address used in your prior SAM system**

When upgrading to SAM 1.10, use the same FQDN and IP address configured in your prior SAM system. If for some reason you need to change the IP address during a migration to 1.10 from your previous system, contact Spectralink Support for assistance, because your prior certificates will not work in the new system. (SAM-1419)
{% endhint %}

#### Upgrading from SAM 1.9.2 to SAM 1.10

1. Navigate to the *About SAM* page of your existing SAM 1.9.2 instance and click **Backup Now** (near the bottom of the page). Take note of your account number.
2. After waiting approximately 60 seconds and refreshing the page, you should see a new backup file appear. Click the Download icon to save it to your hard drive. Shut down the VM using the VMware console or CLI:

   ```bash
   sudo shutdown -h now
   ```
3. If you haven’t already done so, download the SAM1.10 software image from the Spectralink support site. Unzip the image zip which contains OVF and VMDK files.
4. Deploy the new SAM OVF in the VMware console. In the console navigate to the new VM and authenticate using the default credentials of **sam** for username and **sam** for password. Navigate to the bin directory:

   ```bash
   cd bin
   ```
5. Run the network configuration script:

   ```bash
   sudo python network_init.py
   ```

   to set the static IP address, netmask, DNS, and Gateway. Use the same values as your old SAM 1.9.2 server.
6. Run the application configuration script:

   ```bash
   sudo python application_init.py
   ```

   to start the SAM application running. Set up the AD as appropriate.
7. Open your web browser to the SAM login URI: **https\://\[IP address or server name]/sam/**.
8. Proceed through the dialogs to enter your account number and create an admin account. Navigate to the *About* page. Click **Browse File**, then select the backup file from your hard drive that you saved in Step 2. Wait for that file to upload.
9. If you plan to use SSH for configuration access, enable SSH using the steps [here](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh).
10. In the console (or via SSH [if enabled](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh)), run the import script:

    ```bash
    ./import.sh
    ```

    Remember that your SAM web browser login authentication credentials will be the SAM 1.9.2 system’s credentials after import.
11. Log back into the SAM web UI after the system restarts. Navigate to the *About* page again. Click **Browse File** and select the SAM 1.10 *artifacts.zip* file you previously downloaded from the Spectralink Support site.
12. After upload is complete, go back to the console (or via SSH [if enabled](/amie-essentials/maintenance/backup-and-restore.md#enabling-disabling-ssh)) and run the upgrade command:

    ```bash
    ./upgrade.sh
    ```
13. After another restart your upgrade to SAM 1.10 will be complete. Go to the previous section to upgrade to SAM 1.14.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.spectralink.net/amie-essentials/maintenance/upgrading.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
